﻿using Kivii;
using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Jst.Lims.LaxiaSdk.Entities
{
    [Alias(Configs.TableNameLaXiaOrderDetail)]
    public class LaXiaOrderDetail:Entity
    {
        public Guid OrderKvid { get; set; }

        [ApiMember(Description = "测试规格")]
        [StringLength(50)]
        public string name { get; set; }

        [ApiMember(Description = "编码")]
        [StringLength(50)]
        public string code { get; set; }
        [ApiMember(Description = "部位")]
        [StringLength(50)]
        public string part { get; set; }
        public string desc { get; set; }
        public string color { get; set; }
        public string type { get; set; }
        public string required { get; set; }
        public string requirement { get; set; }
        public string practialWay { get; set; }
        public string practialResult { get; set; }
        public string practialAdvice { get; set; }
        public string cost { get; set; }
        public string unit { get; set; }
    }
}
