﻿using Kivii;
using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Jst.Lims.LaxiaSdk.Entities
{
    [Alias(Configs.TableNameTestItem)]
    public class TestItem:Entity
    {
        public string OwnerName { get; set; }

        [DefaultEmptyGuid]
        public Guid OwnerKvid { get; set; }

        [DefaultEmptyGuid]
        public Guid ParentKvid { get; set; }

        public string ParentName { get; set; }
        public string Name { get; set; }
        [Unique]
        public string Code { get; set; }
    }
}
